petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerBinarySetSkipHeader

do not write a header with size information on output, just raw data

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySetSkipHeader(PetscViewer viewer,PetscBool skip)

Not Collective Many br

### Input Parameters

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen() Many br
| skip | - PETSC_TRUE means do not write header Many br

### Options Database Key

-viewer_binary_skip_header - Many br Many br

Notes: This must be called after PetscViewerSetType() Many br

Can ONLY be called on a binary viewer Many br

### See Also

PetscViewerBinaryOpen(), PetscViewerBinaryGetDescriptor(), PetscViewerBinarySkipInfo(),
PetscViewerBinaryGetSkipHeader() Many br

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html